petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESSetConvergedReason

Sets the reason the SNES iteration was stopped.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetConvergedReason(SNES snes,SNESConvergedReason reason)

Not Collective Many br

### Input Parameters

| snes | - the SNES context Many br
| reason | - negative value indicates diverged, positive value converged, see SNESConvergedReason or the Many brmanual pages for the individual convergence tests for complete lists Many br

Many br

### Keywords

SNES, nonlinear, set, convergence, test

### See Also

SNESGetConvergedReason(), SNESSetConvergenceTest(), SNESConvergedReason

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages